Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418013 - [dev-preview-stg] Removing non required parameters causes eap app creation fail
Summary: [dev-preview-stg] Removing non required parameters causes eap app creation fail
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Templates
Version: 3.x
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Vu Dinh
QA Contact: XiuJuan Wang
URL:
Whiteboard: online_3.4.1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 15:33 UTC by Vikas Laad
Modified: 2017-06-15 07:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-15 07:09:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (316.24 KB, image/png)
2017-01-31 15:33 UTC, Vikas Laad
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker CLOUD-1349 0 Major Closed HTTPS_SECRET is required as the field can't be blank 2018-07-09 08:41:27 UTC

Description Vikas Laad 2017-01-31 15:33:22 UTC
Created attachment 1246353 [details]
screenshot

Description of problem:
Getting following errors when try to create new eap app using the template by removing not required parameters.

Cannot create secret "". Secret "" is invalid: metadata.name: Required value: name or generateName is required.

Cannot create deployment config "eap-app". DeploymentConfig "eap-app" is invalid: [spec.template.spec.volumes[0].secret.secretName: Required value, spec.template.spec.volumes[1].secret.secretName: Required value, spec.template.spec.containers[0].volumeMounts[0].name: Not found: "eap-keystore-volume", spec.template.spec.containers[0].volumeMounts[1].name: Not found: "eap-jgroups-keystore-volume"].


Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. create a new app using template eap64-mysql-persistent-s2i in web console
2. Remove all non required parameters from screen
3. hit create button

Actual results:
App creation fails

Expected results:
Should not allow to create app if those parameters are required to create app.

Additional info:
Please see the attached screenshot.

Comment 1 Xiaoli Tian 2017-06-15 07:09:34 UTC
OpenShift Online Preview has been decommissioned, go to https://manage.openshift.com/ for using OpenShift Online starter cluster


Note You need to log in before you can comment on or make changes to this bug.